Subject: Re: [PATCH net-next 00/11] skb_put_zero() used to optimize code

From: Johannes Berg <[email-masked]>
Date: Wed, 14 Jun 2017 18:31:48 +0200

On Wed, 2017-06-14 at 18:29 +0200, Johannes Berg wrote:
> On Wed, 2017-06-14 at 23:00 +0800, yuan linyu wrote:
> 
> > sorry, I do them by hand. 
> 
> oh, ok.
> 
> This seems to work:
> 
> @@
> identifier p;
> expression len;
> expression skb;
> type t;
> @@
> -p = (t)skb_put(skb, len);
> -memset(p, 0, len);
> +p = (t)skb_put_zero(skb, len);

Nope, still didn't find everything - not the batman and atm cases for
example. But still a few more, I think that you didn't find, e.g. in
mac80211.

Anyway - I think none of this is really critical.

johannes